# Class CIM_ResourceOfSystem
extends CIM_SystemComponent

An association between a System and a SystemResource that exists and is allocated in the context of the System.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_SystemComponent
|
+--CIM_ResourceOfSystem

## Direct Known Subclasses

CIM_ComputerSystemResource
CIM_J2eeResourceOnServer

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Composition | boolean | true
Description | string | An association between a System and a SystemResource that exists and is allocated in the context of the System.
UMLPackagePath | string | CIM::System::SystemResources
Version | string | 2.7.2

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_ResourceOfSystem | CIM_System
PartComponent | CIM_ResourceOfSystem | CIM_SystemResource

## Class Methods